export  interface  HardwareData{
  bodyImage?:string
  bodyImageUrl? :string
  checkDate?:string
  checkDateStr?:string
  checkResult? : string |　number
  checkResultStr?:string
  checkStatus?: string |　number
  checkStatusStr?:string
  checkUserId?:string
  checkUserName?: string
  createTime?:string
  createTimeStr?:string
  dataSource?:string
  deptId?:string
  deptIds?:string
  deptName?:string
  deviceId? :string
  diseases?:string
  handImage?:string
  handImageUrl?:string
  handbackImage?:string
  handbackImageUrl?:string
  headImage?:string
  headImageUrl? :string
  id?: string
  ids?: string
  isDefault?:boolean
  moreIds ?: string
  sex? : string
  sexStr?:string
  signatureImage?:string
  statementVideo? : string
  temperature?:string
  updateTime? :string
  userId?: string
  userName?:string
  userNameEncrypt?: string
  checkInTime?:string
}

const datalistHardwareData:HardwareData[] = [
  {
    checkInTime:'2025-05-08 00:00:00',
    bodyImage:"/img/mqtts/morning/record/1920283993400512513_bodyImg.jpg",
    bodyImageUrl :"https://file.wy2020.com/admin/weiyi/img/mqtts/morning/record/1920283993400512513_headImg.jpg",
    checkDate:"2025-05-08 00:00:00",
    checkDateStr:"2025-05-08",
    checkResult : 0,
    checkResultStr:"合格",
    checkStatus: 2,
    checkStatusStr:"已完成",
    checkUserId:"",
    checkUserName: "",
    createTime:"2025-05-08 09:05:56",
    createTimeStr:"2025-05-08 09:05:56",
    dataSource:"",
    deptId:"1526803620325961729",
    deptIds:"",
    deptName:"南头央厨",
    deviceId : "",
    diseases:"无不适",
    handImage:"/img/mqtts/morning/record/1920283993400512513_handImg.jpg",
    handImageUrl:"https://file.wy2020.com/admin/weiyi/img/mqtts/morning/record/1920283993400512513_handImg.jpg",
    handbackImage:"/img/mqtts/morning/record/1920283993400512513_handBackImg.jpg",
    handbackImageUrl:"https://file.wy2020.com/admin/weiyi/img/mqtts/morning/record/1920283993400512513_handBackImg.jpg",
    headImage:"/img/mqtts/morning/record/1920283993400512513_headImg.jpg",
    headImageUrl :"https://file.wy2020.com/admin/weiyi/img/mqtts/morning/record/1920283993400512513_headImg.jpg",
    id: "1920283993400512513",
    ids: "",
    isDefault:true,
    moreIds : "",
    sex : "",
    sexStr:"未知",
    signatureImage: "",
    statementVideo : "",
    temperature:"36.64",
    updateTime :"",
    userId: "1727695532542918657",
    userName:"**静",
    userNameEncrypt: "**静"
  },
  {
    checkInTime:'2025-05-08 00:00:00',
    bodyImage:"/img/mqtts/morning/record/1920283993400512513_bodyImg.jpg",
    bodyImageUrl :"https://file.wy2020.com/admin/weiyi/img/mqtts/morning/record/1920283993400512513_headImg.jpg",
    checkDate:"2025-05-08 00:00:00",
    checkDateStr:"2025-05-08",
    checkResult : 0,
    checkResultStr:"合格",
    checkStatus: 2,
    checkStatusStr:"已完成",
    checkUserId:"",
    checkUserName: "",
    createTime:"2025-05-08 09:05:56",
    createTimeStr:"2025-05-08 09:05:56",
    dataSource:"",
    deptId:"1526803620325961729",
    deptIds:"",
    deptName:"南头央厨",
    deviceId : "",
    diseases:"无不适",
    handImage:"/img/mqtts/morning/record/1920283993400512513_handImg.jpg",
    handImageUrl:"https://file.wy2020.com/admin/weiyi/img/mqtts/morning/record/1920283993400512513_handImg.jpg",
    handbackImage:"/img/mqtts/morning/record/1920283993400512513_handBackImg.jpg",
    handbackImageUrl:"https://file.wy2020.com/admin/weiyi/img/mqtts/morning/record/1920283993400512513_handBackImg.jpg",
    headImage:"/img/mqtts/morning/record/1920283993400512513_headImg.jpg",
    headImageUrl :"https://file.wy2020.com/admin/weiyi/img/mqtts/morning/record/1920283993400512513_headImg.jpg",
    id: "1920283993400512513",
    ids: "",
    isDefault:true,
    moreIds : "",
    sex : "",
    sexStr:"未知",
    signatureImage: "",
    statementVideo : "",
    temperature:"36.77",
    updateTime :"",
    userId: "1727695532542918657",
    userName:"**静",
    userNameEncrypt: "**静"
  },
  {
    checkInTime:'2025-05-08 00:00:00',
    bodyImage:"/img/mqtts/morning/record/1920283993400512513_bodyImg.jpg",
    bodyImageUrl :"https://file.wy2020.com/admin/weiyi/img/mqtts/morning/record/1920283993400512513_headImg.jpg",
    checkDate:"2025-05-08 00:00:00",
    checkDateStr:"2025-05-08",
    checkResult : 0,
    checkResultStr:"合格",
    checkStatus: 2,
    checkStatusStr:"已完成",
    checkUserId:"",
    checkUserName: "",
    createTime:"2025-05-08 09:05:56",
    createTimeStr:"2025-05-08 09:05:56",
    dataSource:"",
    deptId:"1526803620325961729",
    deptIds:"",
    deptName:"南头央厨",
    deviceId : "",
    diseases:"无不适",
    handImage:"/img/mqtts/morning/record/1920283993400512513_handImg.jpg",
    handImageUrl:"https://file.wy2020.com/admin/weiyi/img/mqtts/morning/record/1920283993400512513_handImg.jpg",
    handbackImage:"/img/mqtts/morning/record/1920283993400512513_handBackImg.jpg",
    handbackImageUrl:"https://file.wy2020.com/admin/weiyi/img/mqtts/morning/record/1920283993400512513_handBackImg.jpg",
    headImage:"/img/mqtts/morning/record/1920283993400512513_headImg.jpg",
    headImageUrl :"https://file.wy2020.com/admin/weiyi/img/mqtts/morning/record/1920283993400512513_headImg.jpg",
    id: "1920283993400512513",
    ids: "",
    isDefault:true,
    moreIds : "",
    sex : "",
    sexStr:"未知",
    signatureImage: "",
    statementVideo : "",
    temperature:"36.12",
    updateTime :"",
    userId: "1727695532542918657",
    userName:"**静",
    userNameEncrypt: "**静"
  },
  {
    checkInTime:'2025-05-08 00:00:00',
    bodyImage:"/img/mqtts/morning/record/1920283993400512513_bodyImg.jpg",
    bodyImageUrl :"https://file.wy2020.com/admin/weiyi/img/mqtts/morning/record/1920283993400512513_headImg.jpg",
    checkDate:"2025-05-08 00:00:00",
    checkDateStr:"2025-05-08",
    checkResult : 0,
    checkResultStr:"合格",
    checkStatus: 2,
    checkStatusStr:"已完成",
    checkUserId:"",
    checkUserName: "",
    createTime:"2025-05-08 09:05:56",
    createTimeStr:"2025-05-08 09:05:56",
    dataSource:"",
    deptId:"1526803620325961729",
    deptIds:"",
    deptName:"南头央厨",
    deviceId : "",
    diseases:"恶心",
    handImage:"/img/mqtts/morning/record/1920283993400512513_handImg.jpg",
    handImageUrl:"https://file.wy2020.com/admin/weiyi/img/mqtts/morning/record/1920283993400512513_handImg.jpg",
    handbackImage:"/img/mqtts/morning/record/1920283993400512513_handBackImg.jpg",
    handbackImageUrl:"https://file.wy2020.com/admin/weiyi/img/mqtts/morning/record/1920283993400512513_handBackImg.jpg",
    headImage:"/img/mqtts/morning/record/1920283993400512513_headImg.jpg",
    headImageUrl :"https://file.wy2020.com/admin/weiyi/img/mqtts/morning/record/1920283993400512513_headImg.jpg",
    id: "1920283993400512513",
    ids: "",
    isDefault:true,
    moreIds : "",
    sex : "",
    sexStr:"未知",
    signatureImage: "",
    statementVideo : "",
    temperature:"36.14",
    updateTime :"",
    userId: "1727695532542918657",
    userName:"**静",
    userNameEncrypt: "**静"
  },
  {
    checkInTime:'2025-05-08 00:00:00',
    bodyImage:"/img/mqtts/morning/record/1920283993400512513_bodyImg.jpg",
    bodyImageUrl :"https://file.wy2020.com/admin/weiyi/img/mqtts/morning/record/1920283993400512513_headImg.jpg",
    checkDate:"2025-05-08 00:00:00",
    checkDateStr:"2025-05-08",
    checkResult : 0,
    checkResultStr:"合格",
    checkStatus: 2,
    checkStatusStr:"已完成",
    checkUserId:"",
    checkUserName: "",
    createTime:"2025-05-08 09:05:56",
    createTimeStr:"2025-05-08 09:05:56",
    dataSource:"",
    deptId:"1526803620325961729",
    deptIds:"",
    deptName:"南头央厨",
    deviceId : "",
    diseases:"湿疹",
    handImage:"/img/mqtts/morning/record/1920283993400512513_handImg.jpg",
    handImageUrl:"https://file.wy2020.com/admin/weiyi/img/mqtts/morning/record/1920283993400512513_handImg.jpg",
    handbackImage:"/img/mqtts/morning/record/1920283993400512513_handBackImg.jpg",
    handbackImageUrl:"https://file.wy2020.com/admin/weiyi/img/mqtts/morning/record/1920283993400512513_handBackImg.jpg",
    headImage:"/img/mqtts/morning/record/1920283993400512513_headImg.jpg",
    headImageUrl :"https://file.wy2020.com/admin/weiyi/img/mqtts/morning/record/1920283993400512513_headImg.jpg",
    id: "1920283993400512513",
    ids: "",
    isDefault:true,
    moreIds : "",
    sex : "",
    sexStr:"未知",
    signatureImage: "",
    statementVideo : "",
    temperature:"36.24",
    updateTime :"",
    userId: "1727695532542918657",
    userName:"**静",
    userNameEncrypt: "**静"
  }
]



export  interface  ElectronicScale {
  personInCharge?:string
  nameOfIngredients?:string
  quantityOfIngredients?:string
  weight?:string | number
  weighingTime?:string,
  steadyState?:string,
  outOfRange?:string,
  unit?:string,
  deviceModel?:string,
  serialNumber?:string,
  image?:string
}

const dataListElectronicScale:ElectronicScale[] = [
  {
    personInCharge:'管理员',
    nameOfIngredients:'猪肉',
    quantityOfIngredients:'',
    weight:'200',
    unit:'kg',
    steadyState:'稳定',
    outOfRange:'正常',
    deviceModel:'ES-2000',
    serialNumber:'SN123456789',
    weighingTime:'2025-5-10 14:15:20',
    image:'https://wx.wy2020.com/assets/common/images/404.png'
  },
  {
    personInCharge:'刘某',
    nameOfIngredients:'牛肉',
    quantityOfIngredients:'',
    weight:'100',
    unit:'kg',
    steadyState:'稳定',
    outOfRange:'正常',
    deviceModel:'ES-2000',
    serialNumber:'SN123456789',
    weighingTime:'2025-5-10 14:15:20',
    image:'https://wx.wy2020.com/assets/common/images/404.png'
  },
  {
    personInCharge:'张某',
    nameOfIngredients:'鸡肉',
    quantityOfIngredients:'20',
    weight:'30',
    unit:'kg',
    steadyState:'不稳定',
    outOfRange:'正常',
    deviceModel:'ES-2000',
    serialNumber:'SN123456789',
    weighingTime:'2025-5-10 14:15:20',
    image:'https://wx.wy2020.com/assets/common/images/404.png'
  },
  {
    personInCharge:'李某',
    nameOfIngredients:'胡萝卜',
    quantityOfIngredients:'',
    weight:'50',
    unit:'kg',
    steadyState:'稳定',
    outOfRange:'正常',
    deviceModel:'ES-2000',
    serialNumber:'SN123456789',
    weighingTime:'2025-5-10 14:15:20',
    image:'https://wx.wy2020.com/assets/common/images/404.png'
  }
]



export interface cameraDate{
  id?:string,
  cameraName?:string,
  videoChannel?:string
  states?:string,
  cameraID?:string,
  updatedBy?:string
  founder?:string,
  updateTime?:string,
  images?:string
}

const dataListCameraDate:cameraDate[] = [
  {
    id:'1912428172322918402',
    cameraName:'厨房',
    videoChannel:'34020000001310000017',
    states:'启用',
    cameraID:'31011500991180143889',
    updatedBy:'系统管理员',
    founder:'系统管理员',
    updateTime:'2025-4-4 14:12:21',
    images:'https://file.wy2020.com/admin/weiyi/img/mqtts/morning/record/1920283993400512513_headImg.jpg'
  }
]






export default { datalistHardwareData,dataListElectronicScale,dataListCameraDate };