export interface userInterface {
  /**
   * @snowFlakeId 头像
   */
  snowFlakeId?: string
  /**
   * @name 头像
   */
  avatar?: string
  /**
   * @name 用户名_必传
   */
  name: string
  /**
   * @sex 性别_必传
   */
  sex: string
  /**
   * @phoneNumber 手机号_必传
   */
  phoneNumber: string
  /**
   * @phoneNumber 账号状态_必传
   */

  status: string

  /**
   * @authClient 授权的客户端_必传
   */

  authClient?: any[]
  /**
   * @deptIds 所属部门id_必传
   */

  deptIds?: any[]
  /**
   * @roleIds 所属角色id_必传
   */

  roleIds?: any[]
  lastLoginTime?:string
}
export interface passwordInterface {
  oldPassword: string
  newPassword: string
  confirmPassword: string
}


const userInfo:userInterface[] = [
  {
    avatar:'https://file.wy2020.com/admin/weiyi/img/mqtts/morning/record/1920283993400512513_headImg.jpg',
    name:'刘德华',
    sex:'man',
    phoneNumber:'13575426241',
    status:'disable',
    lastLoginTime:'2025-05-09 09:45:37'
  },
  {
    avatar:'',
    name:'张学友',
    sex:'man',
    phoneNumber:'13575426241',
    status:'enable',
    lastLoginTime:'2025-05-09 09:45:37'
  },
  {
    avatar:'https://file.wy2020.com/admin/weiyi/img/mqtts/morning/record/1920283993400512513_headImg.jpg',
    name:'黎明',
    sex:'man',
    phoneNumber:'13575426241',
    status:'enable',
    lastLoginTime:'2025-05-09 09:45:37'
  },{
    avatar:'',
    name:'郭富城',
    sex:'man',
    phoneNumber:'13575426241',
    status:'disable',
    lastLoginTime:'2025-05-09 09:45:37'
  },
  {
    avatar:'https://file.wy2020.com/admin/weiyi/img/mqtts/morning/record/1920283993400512513_headImg.jpg',
    name:'你',
    sex:'woman',
    phoneNumber:'13575426241',
    status:'enable',
    lastLoginTime:'2025-05-09 09:45:37'
  },
  {
    avatar:'',
    name:'他',
    sex:'woman',
    phoneNumber:'13575426241',
    status:'disable',

  }
]

export default  userInfo