export  interface  ComplaintsAndEvaluations{
  userAccount?:string,
  phone?:string | number,
  content?:string,
  title?:string,
  complaintTypes?:string,
  uploadVoucher?:string,
  stateProcessing?:string,
  commitTime?:string,
  associatedWindow?:string
}

const complaintsAndEvaluationsData:ComplaintsAndEvaluations[] = [
  {
    userAccount:'1452466452',
    phone:'13575462541',
    content:'辣椒炒肉没有肉，只有辣椒，并且菜品里面还有头发丝',
    title:'卫生投诉',
    complaintTypes:'卫生不达标',
    uploadVoucher:'',
    stateProcessing:'未处理',
    commitTime:'2025-5-16 14:12:21',
    associatedWindow:'3号窗口'
  },
  {
    userAccount:'145485685',
    phone:'13575462551',
    content:'碗筷消毒没有消干净，还留有残渣',
    title:'卫生投诉',
    complaintTypes:'卫生不达标',
    uploadVoucher:'',
    stateProcessing:'未处理',
    commitTime:'2025-5-16 14:12:21',
    associatedWindow:'4号窗口'
  }
]



export interface evaluationType{
  evaluationId?:string,
  content?:string,
  auditStatus?:{
      value?:number,
      label?:string
  },
  anonymous?:string,
  comprehensiveScore?:string,
  image?:string,
  associatedWindowEvaluation?:string,
  commitTimeEvaluation?:string,
  author?:string
}

const evaluationTypeData:evaluationType[] = [
  {
    evaluationId:'123152313',
    author:'青青子衿',
    content:'菜品味道不错，但排队时间太长',
    auditStatus:{
       value:1,
       label:'已公开'
    },
    anonymous:'否',
    comprehensiveScore:'4星',
    image:'',
    associatedWindowEvaluation:'一号窗口',
    commitTimeEvaluation:'2025-5-16 14:52:10'
  },
  {
    evaluationId:'123152313',
    author:'悠悠我心',
    content:'菜品味道不错，色香味俱全，卫生也是相当干净，点赞',
    auditStatus:{
      value:0,
      label:'待审核'
    },
    anonymous:'否',
    comprehensiveScore:'5星',
    image:'',
    associatedWindowEvaluation:'二号窗口',
    commitTimeEvaluation:'2025-5-16 14:52:10'
  },

]
export  default {complaintsAndEvaluationsData,evaluationTypeData}